AOZ Studio Beta - Bug #877

Sprite Move - Move On glitch
12/05/2021 11:49 AM - Alex Vac

Status: Resolved Start date: 12/05/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B11) ut17

Description

Adding several MOVE ON causes sprites to ignore SPRITE OFF and MOVE OFF.
The sprites remember past commands resulting in "mutated” movement.

Example in action:
https://app.aoz.studio/4a7bm702/

Example Code:
START:

Paste Bob 100, 450, 3 // AOZ code image

sprite 1,250,150,1 : move y 1,"(1,4,15)(1,-4,15)I" : move on // remove this MOVE ON and it works

sprite 2,500,150,2 : move y 2,"(1,4,15)(1,-4,15)I" : move on

wait vbl

locate 5,9: Print"Press a key several times. Red sprite doesn't reset."

wait Key: cls: sprite off : move off
goto START

History

#1 - 12/07/2021 06:06 AM - Francois Lionet
Fixed@! Was tricky. :)

#2 - 12/07/2021 06:20 AM - Francois Lionet

- Status changed from New to Resolved
